Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Create translation

Deprecated
audio.translations.create(**kwargs) -> TranslationCreateResponse
POST
/audio/translations

Translates audio into English.

This endpoint supports only whisper-1. The endpoint and model are deprecated and scheduled to shut down on February 26, 2027. Migrate to /v1/realtime/translations, which requires a separate integration. See the deprecation schedule for details.

Parameters
file: FileTypes

The audio file object (not file name) translate, in one of these formats: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, or webm. The request must include enough format metadata for the file to be identified. We recommend an extension-bearing filename and an appropriate content type.

model: Union[str, AudioModel]

ID of the model to use. Only whisper-1 (which is powered by our open source Whisper V2 model) is currently available.

Deprecated values:

  • “whisper-1”, “gpt-4o-transcribe”, “gpt-4o-mini-transcribe”, “gpt-4o-mini-transcribe-2025-12-15”, “gpt-4o-transcribe-diarize”: Announced shutdown date: 2027-02-26. See https://developers.openai.com/api/docs/deprecations for details and recommended replacements.
prompt: Optional[str]

An optional text to guide the model’s style or continue a previous audio segment. The prompt should be in English.

response_format: Optional[Literal["json", "text", "srt", 2 more]]

The format of the output, in one of these options: json, text, srt, verbose_json, or vtt.

temperature: Optional[float]

The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use log probability to automatically increase the temperature until certain thresholds are hit.

Returns
One of the following:
class Translation: …
class TranslationVerbose: …

Create translation

from openai import OpenAI
client = OpenAI()

audio_file = open("speech.mp3", "rb")
transcript = client.audio.translations.create(
  model="whisper-1",
  file=audio_file
)
Response example
{
  "text": "Hello, my name is Wolfgang and I come from Germany. Where are you heading today?"
}
Returns Examples
Response example
{
  "text": "Hello, my name is Wolfgang and I come from Germany. Where are you heading today?"
}